# -*- coding: utf-8 -*-

"""
Created on Tue Aug 18 22:54:42 2015

@author: CBDD Group, CSU, China
"""
import numpy as np
import pybel
from pydpi.drug import fingerprint as fp
from pydpi import pydrug
from rdkit.Chem import AllChem
from rdkit import Chem
################################################################## 
            '''get smi_des Daylight'''
##############################################################get smi_des Daylight
def get_smi_des_Daylight(smi):
    drugobject = pydrug.PyDrug()
    mol=drugobject.ReadMolFromSmile(smi)
    smi_fp =((fp.CalculateDaylightFingerprint(mol))[1]).keys()
    list_finger_0_1 = np.zeros(2048)
    list_finger_0_1[list(smi_fp)] = 1
    return list(list_finger_0_1)
################################################################## 
             '''Prediction'''
####################################################################
from sklearn.naive_bayes import BernoulliNB
from sklearn import cross_validation
from sklearn import metrics
from sklearn.externals import joblib
import numpy as np

def predict_Daylight(smi,pkl_path):
    des = get_smi_des_Daylight(smi)
    x = np.array(des)
    clf = joblib.load(pkl_path)
    pred_label = clf.predict(x)
    pred_prob = clf.predict_proba(x)
    return list(pred_label)[0],pred_prob[0,1]  

if  __name__ == '__main__':
    smi = 'your smi'
    pkl_path = '*.pkl file path'
    print predict_Daylight(smi,pkl_path)














