# -*- coding: utf-8 -*-

"""
Created on Tue Aug 18 22:54:42 2015

@author: CBDD Group, CSU, China
"""

import numpy as np
import pybel
from pydpi.drug import fingerprint as fp
from pydpi import pydrug
from rdkit.Chem import AllChem
from rdkit import Chem
################################################################## 
'''get smi_des ECFP4'''
##############################################################get smi_des ECFP4
from rdkit.Chem import AllChem
from rdkit import Chem
def get_smi_des_ECFP4(smi):
    mol = Chem.MolFromSmiles(smi)
    fp = AllChem.GetMorganFingerprintAsBitVect(mol,2,nBits=2048)
    des = list(fp)
    return des
################################################################## 
             '''Prediction'''
####################################################################
from sklearn.naive_bayes import BernoulliNB
from sklearn import cross_validation
from sklearn import metrics
from sklearn.externals import joblib
import numpy as np

def predict_ECFP4(smi,pkl_path):
    des = get_smi_des_ECFP4(smi)
    x = np.array(des)
    clf = joblib.load(pkl_path)
    pred_label = clf.predict(x)
    pred_prob = clf.predict_proba(x)
    return list(pred_label)[0],pred_prob[0,1]  

if  __name__ == '__main__':
    smi = 'your smi'
    pkl_path = '*.pkl file path'
    print preditc_ECFP4(smi,pkl_path)


